GameEventsPlugin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class GameEventsPlugin

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.GameEventsPlugin

    public abstract class GameEventsPlugin

extends java.lang.Object

This interface defines the entry point for custom event listeners without having to create an add a whole `Widget`.

Implementing classes must define a constructor taking a java.io.File, which is being passed the GameEventsPlugin's 'baseFolder'.

Author:
  Marvin Froehlich (CTDP)

Field Summary
`static LogChannel` | `LOG_CHANNEL`

Constructor Summary
`protected` | `GameEventsPlugin(java.lang.String name, java.io.File baseFolder)`

Method Summary
`void` | `debug(java.lang.Object... message)` Logs data to the plugin's log file.
`void` | `debugCS(java.lang.Object... message)` Logs data to the plugin's log file.
`java.io.File` | `getBaseFolder()`
`java.lang.String` | `getName()`
`void` | `log(LogLevel logLevel, java.lang.Object... message)`
`void` | `log(java.lang.Object... message)`
`void` | `logCS(LogLevel logLevel, java.lang.Object... message)`
`void` | `logCS(java.lang.Object... message)`
`abstract void` | `onPluginShutdown(LiveGameData gameData, boolean isEditorMode, WidgetsManager widgetsManager)`
`abstract void` | `onPluginStarted(LiveGameData gameData, boolean isEditorMode, WidgetsManager widgetsManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_CHANNEL

    public static final LogChannel LOG_CHANNEL

Constructor Detail

### GameEventsPlugin

    protected GameEventsPlugin(java.lang.String name,
                               java.io.File baseFolder)

Method Detail

### getName

    public final java.lang.String getName()

### getBaseFolder

    public final java.io.File getBaseFolder()

### log

    public void log(LogLevel logLevel,
                    java.lang.Object... message)

### logCS

    public void logCS(LogLevel logLevel,
                      java.lang.Object... message)

### log

    public void log(java.lang.Object... message)

### logCS

    public void logCS(java.lang.Object... message)

### debug

    public final void debug(java.lang.Object... message)

  Logs data to the plugin's log file.

  Parameters:
    `message` - the data to log

### debugCS

    public final void debugCS(java.lang.Object... message)

  Logs data to the plugin's log file.

  Parameters:
    `message` - the data to log

### onPluginStarted

    public abstract void onPluginStarted(LiveGameData gameData,
                                         boolean isEditorMode,
                                         WidgetsManager widgetsManager)

### onPluginShutdown

    public abstract void onPluginShutdown(LiveGameData gameData,
                                          boolean isEditorMode,
                                          WidgetsManager widgetsManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD